#
# spec file for package ant-antlr (Version 1.7.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define ant_home %{_datadir}/ant
%define section  free
%define cvs_name apache-ant
%define major_version 1.7
##### WARNING: please do not edit this auto generated spec file. Use the ant.spec! #####
%define bootstrap 0
%define real_name ant

Name:           ant-antlr
# This line is not a comment, please do not remove it!
#%(sh %{_sourcedir}/ant-antlr-prepare.sh %{_sourcedir} %{name})
Version:        1.7.1
Release:        6.15
%if %bootstrap
Summary:        Optional antlr Tasks for Ant
%else
Summary:        Optional antlr Tasks for Ant
%endif
License:        Apache Software License ..
Url:            http://jakarta.apache.org/
Group:          Development/Tools/Building
Source0:        %{cvs_name}-%{version}-src.tar.bz2
Source2:        %{cvs_name}-%{major_version}.ant.conf
Source1:        http://repo1.maven.org/maven2/org/apache/ant/ant/1.7.1/ant-1.7.1.pom
Source3:        http://repo1.maven.org/maven2/org/apache/ant/ant-launcher/1.7.1/ant-launcher-1.7.1.pom
Source4:        http://repo1.maven.org/maven2/org/apache/ant/ant-netrexx/1.7.1/ant-netrexx-1.7.1.pom
Source5:        http://repo1.maven.org/maven2/org/apache/ant/ant-starteam/1.7.1/ant-starteam-1.7.1.pom
Source6:        http://repo1.maven.org/maven2/org/apache/ant/ant-stylebook/1.7.1/ant-stylebook-1.7.1.pom
Source7:        http://repo1.maven.org/maven2/org/apache/ant/ant-weblogic/1.7.1/ant-weblogic-1.7.1.pom
Source8:        http://repo1.maven.org/maven2/org/apache/ant/ant-antlr/1.7.1/ant-antlr-1.7.1.pom
Source9:        http://repo1.maven.org/maven2/org/apache/ant/ant-apache-bsf/1.7.1/ant-apache-bsf-1.7.1.pom
Source10:       http://repo1.maven.org/maven2/org/apache/ant/ant-apache-resolver/1.7.1/ant-apache-resolver-1.7.1.pom
Source11:       http://repo1.maven.org/maven2/org/apache/ant/ant-commons-logging/1.7.1/ant-commons-logging-1.7.1.pom
Source12:       http://repo1.maven.org/maven2/org/apache/ant/ant-commons-net/1.7.1/ant-commons-net-1.7.1.pom
#Source13:       http://repo1.maven.org/maven2/org/apache/ant/ant-jai/1.7.1/ant-jai-1.7.1.pom
Source14:       http://repo1.maven.org/maven2/org/apache/ant/ant-apache-bcel/1.7.1/ant-apache-bcel-1.7.1.pom
Source15:       http://repo1.maven.org/maven2/org/apache/ant/ant-apache-log4j/1.7.1/ant-apache-log4j-1.7.1.pom
Source16:       http://repo1.maven.org/maven2/org/apache/ant/ant-apache-oro/1.7.1/ant-apache-oro-1.7.1.pom
Source17:       http://repo1.maven.org/maven2/org/apache/ant/ant-apache-regexp/1.7.1/ant-apache-regexp-1.7.1.pom
Source18:       http://repo1.maven.org/maven2/org/apache/ant/ant-javamail/1.7.1/ant-javamail-1.7.1.pom
Source19:       http://repo1.maven.org/maven2/org/apache/ant/ant-jdepend/1.7.1/ant-jdepend-1.7.1.pom
Source20:       http://repo1.maven.org/maven2/org/apache/ant/ant-jmf/1.7.1/ant-jmf-1.7.1.pom
Source21:       http://repo1.maven.org/maven2/org/apache/ant/ant-jsch/1.7.1/ant-jsch-1.7.1.pom
Source22:       http://repo1.maven.org/maven2/org/apache/ant/ant-junit/1.7.1/ant-junit-1.7.1.pom
Source23:       http://repo1.maven.org/maven2/org/apache/ant/ant-nodeps/1.7.1/ant-nodeps-1.7.1.pom
Source24:       http://repo1.maven.org/maven2/org/apache/ant/ant-swing/1.7.1/ant-swing-1.7.1.pom
Source25:       http://repo1.maven.org/maven2/org/apache/ant/ant-trax/1.7.1/ant-trax-1.7.1.pom
Source26:       http://repo1.maven.org/maven2/org/apache/ant/ant-parent/1.7.1/ant-parent-1.7.1.pom
Source1000:     ant-antlr-prepare.sh
# Fix some places where copies of classes are included in the wrong jarfiles
Patch0:         apache-ant-jars.patch
#Patch1:         apache-ant-bz163689.patch
Patch2:         apache-ant-gnu-classpath.patch
Patch3:         apache-ant-no-test-jar.patch
# SUSE patches
Patch103:       apache-ant-source-level.patch
BuildRequires:  jpackage-utils >= 1.7.5
BuildRequires:  java-1_5_0-gcj-compat-devel
BuildRequires:  antlr-bootstrap
BuildRequires:  unzip
BuildRequires:  xerces-j2-bootstrap
BuildRequires:  xml-commons-apis-bootstrap
%if ! %bootstrap
#BuildRequires:  jaxp_transform_impl
BuildRequires:  xalan-j2
BuildRequires:  ant
BuildRequires:  junit
BuildRequires:  xml-commons-apis
BuildRequires:  xerces-j2
#!BuildIgnore:  antlr
%endif
%if %bootstrap
Requires:       xerces-j2 >= 2.7.1-2
Requires:       jaxp_parser_impl
Requires:       xml-commons-apis
Requires:       xml-commons-resolver
Requires:       jpackage-utils >= 1.7.5
Requires:       java-devel >= 1.5.0
%else
# ant-antlr requires
Requires:       ant = %(echo `rpm -q --queryformat '%{VERSION}' ant`)
Requires:       antlr
Provides:       ant-antlr = %{version}-%{release}
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:      apache-ant
Provides:       apache-ant

%description
Apache Ant is a Java-based build tool. This package contains optional
antlr tasks for Apache Ant.

%if %bootstrap

%package -n ant-jmf
License:        Apache Software License ..
Summary:        Optional jmf tasks for ant
Group:          Development/Tools/Building
Requires:       ant = %{version}
Provides:       ant-jmf = %{version}-%{release}

%description -n ant-jmf
Apache Ant is a Java-based build tool.

This package contains optional jmf tasks for Apache Ant.



%package -n ant-nodeps
License:        Apache Software License ..
Summary:        Optional tasks for ant
Group:          Development/Tools/Building
Requires:       ant = %{version}
Provides:       ant-nodeps = %{version}-%{release}

%description -n ant-nodeps
Apache Ant is a Java-based build tool.

This package contains optional tasks for Apache Ant.



%package -n ant-swing
License:        Apache Software License ..
Summary:        Optional swing tasks for ant
Group:          Development/Tools/Building
Requires:       ant = %{version}
Provides:       ant-swing = %{version}-%{release}

%description -n ant-swing
Apache Ant is a Java-based build tool.

This package contains optional swing tasks for Apache Ant.



%package -n ant-trax
License:        Apache Software License ..
Summary:        Optional trax tasks for ant
Group:          Development/Tools/Building
Requires:       ant = %{version}
Requires:       jaxp_transform_impl
Provides:       ant-trax = %{version}-%{release}
# The ant-xalan jar has been merged into the ant-trax one
Obsoletes:      ant-xalan2 < %{version}-%{release}
Provides:       ant-xalan2 = %{version}-%{release}

%description -n ant-trax
Apache Ant is a Java-based build tool.

This package contains optional trax tasks for Apache Ant.



%package -n ant-scripts
License:        Apache Software License ..
Summary:        Additional scripts for ant
Group:          Development/Tools/Building
AutoReqProv:    no
Requires:       ant = %{version}
Requires:       %{_bindir}/perl
Requires:       %{_bindir}/python

%description -n ant-scripts
Apache Ant is a Java-based build tool.

This package contains additional perl and python scripts for Apache
Ant.



%endif #if bootstrap
%if ! %bootstrap

%package -n ant-apache-bsf
License:        Apache Software License ..
Summary:        Optional apache bsf tasks for ant
Group:          Development/Tools/Building
Requires:       ant = %(echo `rpm -q --queryformat '%{VERSION}' ant`)
Requires:       bsf
BuildRequires:  bsf
Provides:       ant-apache-bsf = %{version}-%{release}

%description -n ant-apache-bsf
Apache Ant is a Java-based build tool.

This package contains optional apache bsf tasks for Apache Ant.



%package -n ant-apache-resolver
License:        Apache Software License ..
Summary:        Optional apache resolver tasks for ant
Group:          Development/Tools/Building
Requires:       ant = %(echo `rpm -q --queryformat '%{VERSION}' ant`)
Requires:       xml-commons-resolver
BuildRequires:  xml-commons-resolver
Provides:       ant-apache-resolver = %{version}-%{release}

%description -n ant-apache-resolver
Apache Ant is a Java-based build tool.

This package contains optional apache resolver tasks for Apache Ant.



%package -n ant-commons-logging
License:        Apache Software License ..
Summary:        Optional commons logging tasks for ant
Group:          Development/Tools/Building
Requires:       ant = %(echo `rpm -q --queryformat '%{VERSION}' ant`)
Requires:       jakarta-commons-logging
BuildRequires:  jakarta-commons-logging
Provides:       ant-commons-logging = %{version}-%{release}

%description -n ant-commons-logging
Apache Ant is a Java-based build tool.

This package contains optional commons logging tasks for Apache Ant.



%package -n ant-commons-net
License:        Apache Software License ..
Summary:        Optional commons net tasks for ant
Group:          Development/Tools/Building
Requires:       ant = %(echo `rpm -q --queryformat '%{VERSION}' ant`)
Requires:       jakarta-commons-net
BuildRequires:  jakarta-commons-net
Provides:       ant-commons-net = %{version}-%{release}

%description -n ant-commons-net
Apache Ant is a Java-based build tool.

This package contains optional commons net tasks for Apache Ant.



%if 0

%package -n ant-jai

Summary:        Optional jai tasks for ant
Group:          Development/Tools/Building
Requires:       ant = %(echo `rpm -q --queryformat '%{VERSION}' ant`)
Requires:       jai
BuildRequires:  jai
Provides:       ant-jai = %{version}-%{release}

%description -n ant-jai
Optional jai tasks for ant.
%endif

%package -n ant-apache-bcel
License:        Apache Software License ..
Summary:        Optional apache bcel tasks for ant
Group:          Development/Tools/Building
Requires:       ant = %(echo `rpm -q --queryformat '%{VERSION}' ant`)
Requires:       bcel
BuildRequires:  bcel
Provides:       ant-apache-bcel = %{version}-%{release}
Provides:       ant-jakarta-bcel = %{version}-%{release}
Obsoletes:      ant-jakarta-bcel < %{version}-%{release}

%description -n ant-apache-bcel
Apache Ant is a Java-based build tool.

This package contains optional apache bcel tasks for Apache Ant.



%package -n ant-apache-log4j
License:        Apache Software License ..
Summary:        Optional apache log4j tasks for ant
Group:          Development/Tools/Building
Requires:       ant = %(echo `rpm -q --queryformat '%{VERSION}' ant`)
Requires:       log4j
BuildRequires:  log4j-mini
Provides:       ant-apache-log4j = %{version}-%{release}
Provides:       ant-jakarta-log4j = %{version}-%{release}
Obsoletes:      ant-jakarta-log4j < %{version}-%{release}

%description -n ant-apache-log4j
Apache Ant is a Java-based build tool.

This package contains optional apache log4j tasks for Apache Ant.



%package -n ant-apache-oro
License:        Apache Software License ..
Summary:        Optional apache oro tasks for ant
Group:          Development/Tools/Building
Requires:       ant = %(echo `rpm -q --queryformat '%{VERSION}' ant`)
Requires:       oro
BuildRequires:  oro
Provides:       ant-apache-oro = %{version}-%{release}
Provides:       ant-jakarta-oro = %{version}-%{release}
Obsoletes:      ant-jakarta-oro < %{version}-%{release}

%description -n ant-apache-oro
Apache Ant is a Java-based build tool.

This package contains optional apache oro tasks for Apache Ant.



%package -n ant-apache-regexp
License:        Apache Software License ..
Summary:        Optional apache regexp tasks for ant
Group:          Development/Tools/Building
Requires:       ant = %(echo `rpm -q --queryformat '%{VERSION}' ant`)
Requires:       regexp
BuildRequires:  regexp
Provides:       ant-apache-regexp = %{version}-%{release}
Provides:       ant-jakarta-regexp = %{version}-%{release}
Obsoletes:      ant-jakarta-regexp < %{version}-%{release}

%description -n ant-apache-regexp
Apache Ant is a Java-based build tool.

This package contains optional apache regexp tasks for Apache Ant.



%package -n ant-javamail
License:        Other uncritical OpenSource License      ; Common Development and Distribution License
Summary:        Optional javamail tasks for ant
Group:          Development/Tools/Building
Requires:       ant = %(echo `rpm -q --queryformat '%{VERSION}' ant`)
Requires:       javamail >= 1.2-5jpp
Requires:       jaf >= 1.0.1-5jpp
BuildRequires:  javamail >= 1.2-5jpp
BuildRequires:  jaf >= 1.0.1-5jpp
Provides:       ant-javamail = %{version}-%{release}

%description -n ant-javamail
Apache Ant is a Java-based build tool.

This package contains optional javamail tasks for Apache Ant.



%package -n ant-jdepend
License:        Apache Software License ..
Summary:        Optional jdepend tasks for ant
Group:          Development/Tools/Building
Requires:       ant = %(echo `rpm -q --queryformat '%{VERSION}' ant`)
Requires:       jdepend
BuildRequires:  jdepend
Provides:       ant-jdepend = %{version}-%{release}

%description -n ant-jdepend
Apache Ant is a Java-based build tool.

This package contains optional jdepend tasks for Apache Ant.



%package -n ant-jsch
License:        Apache Software License ..
Summary:        Optional jsch tasks for ant
Group:          Development/Tools/Building
Requires:       ant = %(echo `rpm -q --queryformat '%{VERSION}' ant`)
Requires:       jsch
BuildRequires:  jsch
Provides:       ant-jsch = %{version}-%{release}

%description -n ant-jsch
Apache Ant is a Java-based build tool.

This package contains optional jsch tasks for Apache Ant.



%package -n ant-junit
License:        Apache Software License ..
Summary:        Optional junit tasks for ant
Group:          Development/Tools/Building
Requires:       ant = %(echo `rpm -q --queryformat '%{VERSION}' ant`)
Requires:       junit
Provides:       ant-junit = %{version}-%{release}

%description -n ant-junit
Apache Ant is a Java-based build tool.

This package contains optional JUnit tasks for Apache Ant.



%package -n ant-manual
License:        Apache Software License ..
Summary:        Manual for ant
Group:          Development/Tools/Building

%description -n ant-manual
Apache Ant is a Java-based build tool.

This package contains the manual for Apache Ant.



%package -n ant-javadoc
License:        Apache Software License ..
Summary:        Javadoc for ant
Group:          Development/Tools/Building

%description -n ant-javadoc
Apache Ant is a Java-based build tool.

This package contains the javadoc documentation for Apache Ant.



%endif
# % package -n ant-scripts
# License:        The Apache Software License
# Summary:        Additional scripts for ant
# Group:          Development/Tools/Building
# #AutoReqProv:    no
# Requires:       ant = %{version}
# Requires:       /usr/bin/perl
# Requires:       /usr/bin/python
# % description -n ant-scripts
# Apache Ant is a Java-based build tool.
#
# This package contains additional perl and python scripts for Apache
# Ant.

%prep
%setup -q -n apache-ant-%{version}
# Fix some places where copies of classes are included in the wrong jarfiles
%patch0 -p1
# Update ant to work with recent versions of GNU Classpath
%patch2 -p1
# When bootstrapping, we don't have junit
%patch3 -p1
%patch103 -b .target5
# clean jar files
find . -name "*.jar" | %{_bindir}/xargs -t rm
# -----------------------------------------------------------------------------

%build
export OPT_JAR_LIST=:
%if ! %bootstrap
export CLASSPATH=$(build-classpath xerces-j2 xml-commons-apis antlr bcel jaf javamail/mailapi jdepend junit log4j oro regexp bsf commons-logging commons-net jsch xml-commons-resolver)
%{ant} jars
%{ant} javadocs
%else
export GC_MAXIMUM_HEAP_SIZE="134217728" #128M
export JAVA_HOME=%{java_home}
export CLASSPATH=$JAVA_HOME/lib/tools.jar
export BOOTJAVAC_OPTS="-C -Wno-deprecated"
sh ./build.sh --noconfig jars
%endif
# -----------------------------------------------------------------------------

%install
# ANT_HOME and subdirs
mkdir -p $RPM_BUILD_ROOT%{ant_home}/{lib,etc}
# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{real_name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
%if %bootstrap
install -m 644 build/lib/ant.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}-%{version}.jar
install -m 644 build/lib/ant-bootstrap.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}-bootstrap-%{version}.jar
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{real_name}.pom
%add_to_maven_depmap org.apache.ant %{real_name} %{version} JPP %{real_name}
install -m 644 build/lib/ant-launcher.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}-launcher-%{version}.jar
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{real_name}-launcher.pom
%add_to_maven_depmap org.apache.ant %{real_name}-launcher %{version} JPP %{real_name}-launcher
install -m 644 build/lib/ant-jmf.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-jmf-%{version}.jar
install -m 644 %{SOURCE20} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{real_name}-%{real_name}-jmf.pom
%add_to_maven_depmap org.apache.ant %{real_name}-jmf %{version} JPP/%{real_name} %{real_name}-jmf
install -m 644 build/lib/ant-nodeps.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-nodeps-%{version}.jar
install -m 644 %{SOURCE23} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{real_name}-%{real_name}-nodeps.pom
%add_to_maven_depmap org.apache.ant %{real_name}-nodeps %{version} JPP/%{real_name} %{real_name}-nodeps
install -m 644 build/lib/ant-swing.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-swing-%{version}.jar
install -m 644 %{SOURCE24} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{real_name}-%{real_name}-swing.pom
%add_to_maven_depmap org.apache.ant %{real_name}-swing %{version} JPP/%{real_name} %{real_name}-swing
install -m 644 build/lib/ant-trax.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-trax-%{version}.jar
install -m 644 %{SOURCE25} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{real_name}-%{real_name}-trax.pom
%add_to_maven_depmap org.apache.ant %{real_name}-trax %{version} JPP/%{real_name} %{real_name}-trax
install -m 644 %{SOURCE26} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{real_name}-parent.pom
%add_to_maven_depmap org.apache.ant %{real_name}-parent %{version} JPP %{real_name}-parent
%endif #if %bootstrap
# optional jars
%if ! %bootstrap
#install -m 644 build/lib/ant-icontract.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-icontract-%{version}.jar
#install -m 644 build/lib/ant-netrexx.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-netrexx-%{version}.jar
#install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{real_name}-%{real_name}-netrexx.pom
#% add_to_maven_depmap org.apache.ant %{real_name}-netrexx %{version} JPP/%{real_name} %{real_name}-netrexx
#install -m 644 build/lib/ant-starteam.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-starteam-%{version}.jar
#install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{real_name}-%{real_name}-starteam.pom
#% add_to_maven_depmap org.apache.ant %{real_name}-starteam %{version} JPP/%{real_name} %{real_name}-starteam
#install -m 644 build/lib/ant-stylebook.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-stylebook-%{version}.jar
#install -m 644 %{SOURCE6} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{real_name}-%{real_name}-stylebook.pom
#% add_to_maven_depmap org.apache.ant %{real_name}-stylebook %{version} JPP/%{real_name} %{real_name}-stylebook
#install -m 644 build/lib/ant-vaj.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-vaj-%{version}.jar
#install -m 644 build/lib/ant-weblogic.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-weblogic-%{version}.jar
#install -m 644 %{SOURCE7} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{real_name}-%{real_name}-weblogic.pom
#% add_to_maven_depmap org.apache.ant %{real_name}-weblogic %{version} JPP/%{real_name} %{real_name}-weblogic
#install -m 644 build/lib/ant-xalan1.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-xalan1-%{version}.jar
#install -m 644 build/lib/ant-xslp.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-xslp-%{version}.jar
install -m 644 build/lib/ant-antlr.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-antlr-%{version}.jar
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{real_name}-%{real_name}-antlr.pom
%add_to_maven_depmap org.apache.ant %{real_name}-antlr %{version} JPP/%{real_name} %{real_name}-antlr
install -m 644 build/lib/ant-apache-bsf.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-apache-bsf-%{version}.jar
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{real_name}-%{real_name}-apache-bsf.pom
%add_to_maven_depmap org.apache.ant %{real_name}-apache-bsf %{version} JPP/%{real_name} %{real_name}-apache-bsf
install -m 644 build/lib/ant-apache-resolver.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-apache-resolver-%{version}.jar
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{real_name}-%{real_name}-apache-resolver.pom
%add_to_maven_depmap org.apache.ant %{real_name}-apache-resolver %{version} JPP/%{real_name} %{real_name}-apache-resolver
install -m 644 build/lib/ant-commons-logging.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-commons-logging-%{version}.jar
install -m 644 %{SOURCE11} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{real_name}-%{real_name}-commons-logging.pom
%add_to_maven_depmap org.apache.ant %{real_name}-commons-logging %{version} JPP/%{real_name} %{real_name}-commons-logging
install -m 644 build/lib/ant-commons-net.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-commons-net-%{version}.jar
install -m 644 %{SOURCE12} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{real_name}-%{real_name}-commons-net.pom
%add_to_maven_depmap org.apache.ant %{real_name}-commons-net %{version} JPP/%{real_name} %{real_name}-commons-net
#install -m 644 build/lib/ant-jai.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-jai-%{version}.jar
#install -m 644 %{SOURCE13} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{real_name}-%{real_name}-jai.pom
#%add_to_maven_depmap org.apache.ant %{real_name}-jai %{version} JPP/%{real_name} %{real_name}-jai
install -m 644 build/lib/ant-apache-bcel.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-apache-bcel-%{version}.jar
install -m 644 %{SOURCE14} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{real_name}-%{real_name}-apache-bcel.pom
%add_to_maven_depmap org.apache.ant %{real_name}-apache-bcel %{version} JPP/%{real_name} %{real_name}-apache-bcel
install -m 644 build/lib/ant-apache-log4j.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-apache-log4j-%{version}.jar
install -m 644 %{SOURCE15} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{real_name}-%{real_name}-apache-log4j.pom
%add_to_maven_depmap org.apache.ant %{real_name}-apache-log4j %{version} JPP/%{real_name} %{real_name}-apache-log4j
install -m 644 build/lib/ant-apache-oro.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-apache-oro-%{version}.jar
install -m 644 %{SOURCE16} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{real_name}-%{real_name}-apache-oro.pom
%add_to_maven_depmap org.apache.ant %{real_name}-apache-oro %{version} JPP/%{real_name} %{real_name}-apache-oro
install -m 644 build/lib/ant-apache-regexp.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-apache-regexp-%{version}.jar
install -m 644 %{SOURCE17} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{real_name}-%{real_name}-apache-regexp.pom
%add_to_maven_depmap org.apache.ant %{real_name}-apache-regexp %{version} JPP/%{real_name} %{real_name}-apache-regexp
ln -sf %{real_name}-apache-bcel.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-jakarta-bcel.jar
ln -sf %{real_name}-apache-log4j.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-jakarta-log4j.jar
ln -sf %{real_name}-apache-oro.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-jakarta-oro.jar
ln -sf %{real_name}-apache-regexp.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-jakarta-regexp.jar
install -m 644 build/lib/ant-javamail.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-javamail-%{version}.jar
install -m 644 %{SOURCE18} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{real_name}-%{real_name}-javamail.pom
%add_to_maven_depmap org.apache.ant %{real_name}-javamail %{version} JPP/%{real_name} %{real_name}-javamail
install -m 644 build/lib/ant-jdepend.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-jdepend-%{version}.jar
install -m 644 %{SOURCE19} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{real_name}-%{real_name}-jdepend.pom
%add_to_maven_depmap org.apache.ant %{real_name}-jdepend %{version} JPP/%{real_name} %{real_name}-jdepend
install -m 644 build/lib/ant-jsch.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-jsch-%{version}.jar
install -m 644 %{SOURCE21} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{real_name}-%{real_name}-jsch.pom
%add_to_maven_depmap org.apache.ant %{real_name}-jsch %{version} JPP/%{real_name} %{real_name}-jsch
install -m 644 build/lib/ant-junit.jar $RPM_BUILD_ROOT%{_javadir}/%{real_name}/%{real_name}-junit-%{version}.jar
install -m 644 %{SOURCE22} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{real_name}-%{real_name}-junit.pom
%add_to_maven_depmap org.apache.ant %{real_name}-junit %{version} JPP/%{real_name} %{real_name}-junit
%endif
# jar aliases
%if %bootstrap
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
%endif
(cd $RPM_BUILD_ROOT%{_javadir}/%{real_name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
# scripts: remove dos and os/2 scripts
rm -f src/script/*.bat
rm -f src/script/*.cmd
%if %bootstrap
# XSLs
cp -p src/etc/*.xsl $RPM_BUILD_ROOT%{ant_home}/etc
rm -f  $RPM_BUILD_ROOT%{ant_home}/etc/{maudit-frames,jdepend,jdepend-frames,junit-frames,junit-noframes}.xsl
%else
cp -p src/etc/{maudit-frames,jdepend,jdepend-frames,junit-frames,junit-noframes}.xsl $RPM_BUILD_ROOT%{ant_home}/etc
%endif
%if %bootstrap
# install everything else
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p src/script/* $RPM_BUILD_ROOT%{_bindir}
#% else
# cp -p src/script/ant{,Run} $RPM_BUILD_ROOT%{_bindir}
%endif
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{real_name}.d
%if %bootstrap
# default ant.conf
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/%{real_name}.conf
# OPT_JAR_LIST fragments
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{real_name}.d
echo "ant/ant-jmf" > $RPM_BUILD_ROOT%{_sysconfdir}/%{real_name}.d/jmf
echo "ant/ant-nodeps" > $RPM_BUILD_ROOT%{_sysconfdir}/%{real_name}.d/nodeps
echo "ant/ant-swing" > $RPM_BUILD_ROOT%{_sysconfdir}/%{real_name}.d/swing
echo "jaxp_transform_impl ant/ant-trax xalan-j2-serializer" > $RPM_BUILD_ROOT%{_sysconfdir}/%{real_name}.d/trax
%endif #if bootstrap
%if ! %bootstrap
echo "antlr ant/ant-antlr" > $RPM_BUILD_ROOT%{_sysconfdir}/%{real_name}.d/antlr
echo "bsf ant/ant-apache-bsf" > $RPM_BUILD_ROOT%{_sysconfdir}/%{real_name}.d/apache-bsf
echo "xml-commons-resolver12 ant/ant-apache-resolver" > $RPM_BUILD_ROOT%{_sysconfdir}/%{real_name}.d/apache-resolver
echo "jakarta-commons-logging ant/ant-commons-logging" > $RPM_BUILD_ROOT%{_sysconfdir}/%{real_name}.d/commons-logging
echo "jakarta-commons-net ant/ant-commons-net" > $RPM_BUILD_ROOT%{_sysconfdir}/%{real_name}.d/commons-net
#echo "jai ant/ant-jai" > $RPM_BUILD_ROOT%{_sysconfdir}/%{real_name}.d/jai
echo "bcel ant/ant-apache-bcel" > $RPM_BUILD_ROOT%{_sysconfdir}/%{real_name}.d/apache-bcel
echo "log4j ant/ant-apache-log4j" > $RPM_BUILD_ROOT%{_sysconfdir}/%{real_name}.d/apache-log4j
echo "oro ant/ant-apache-oro" > $RPM_BUILD_ROOT%{_sysconfdir}/%{real_name}.d/apache-oro
echo "regexp ant/ant-apache-regexp" > $RPM_BUILD_ROOT%{_sysconfdir}/%{real_name}.d/apache-regexp
echo "javamail jaf ant/ant-javamail" > $RPM_BUILD_ROOT%{_sysconfdir}/%{real_name}.d/javamail
echo "jdepend ant/ant-jdepend" > $RPM_BUILD_ROOT%{_sysconfdir}/%{real_name}.d/jdepend
echo "jsch ant/ant-jsch" > $RPM_BUILD_ROOT%{_sysconfdir}/%{real_name}.d/jsch
echo "junit ant/ant-junit" > $RPM_BUILD_ROOT%{_sysconfdir}/%{real_name}.d/junit
%endif
%if ! %bootstrap
# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/ant-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/ant-%{version}
%endif
# fix link between manual and javadoc
(cd docs/manual; ln -sf %{_javadocdir}/%{real_name}-%{version} api)
%if %bootstrap
find $RPM_BUILD_ROOT%{_datadir}/ant/etc -type f -name "*.xsl" \
                                                 -a ! -name ant-update.xsl \
                                                 -a ! -name changelog.xsl \
                                                 -a ! -name coverage-frames.xsl \
                                                 -a ! -name junit-frames-xalan1.xsl \
                                                 -a ! -name log.xsl \
                                                 -a ! -name mmetrics-frames.xsl \
                                                 -a ! -name tagdiff.xsl \
                                                 | xargs -t rm
%endif

%clean
rm -rf $RPM_BUILD_ROOT
# -----------------------------------------------------------------------------

%post
%update_maven_depmap

%postun
%update_maven_depmap
%if %bootstrap

%files
%defattr(0644,root,root,0755)
%doc KEYS LICENSE NOTICE README WHATSNEW
%config(noreplace) %{_sysconfdir}/%{real_name}.conf
%attr(0755,root,root) %{_bindir}/ant
%attr(0755,root,root) %{_bindir}/antRun
%{_javadir}/%{real_name}.jar
%{_javadir}/%{real_name}-%{version}.jar
%{_javadir}/%{real_name}-launcher.jar
%{_javadir}/%{real_name}-launcher-%{version}.jar
%{_javadir}/%{real_name}-bootstrap.jar
%{_javadir}/%{real_name}-bootstrap-%{version}.jar
%dir %{_javadir}/%{real_name}
%dir %{ant_home}
%dir %{ant_home}/etc
%{ant_home}/etc/ant-update.xsl
%{ant_home}/etc/changelog.xsl
%{ant_home}/etc/log.xsl
%{ant_home}/etc/tagdiff.xsl
%{ant_home}/etc/junit-frames-xalan1.xsl
%if ! %bootstrap
%{ant_home}/etc/common2master.xsl
%endif
%dir %{ant_home}/lib
%dir %{_sysconfdir}/%{real_name}.d
# % {_datadir}/maven2/poms/*
%{_datadir}/maven2/poms/JPP-ant-launcher.pom
%{_datadir}/maven2/poms/JPP-ant-parent.pom
%{_datadir}/maven2/poms/JPP-ant.pom
%config %{_mavendepmapfragdir}/*
%dir %{_sysconfdir}/maven/fragments
%dir %{_datadir}/maven2
%dir %{_datadir}/maven2/poms
%else
# ant-antlr filelist

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{real_name}/%{real_name}-antlr.jar
%{_javadir}/%{real_name}/%{real_name}-antlr-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{real_name}.d/antlr
%{_datadir}/maven2/poms/JPP.ant-ant-antlr.pom
%config %{_mavendepmapfragdir}/ant-antlr
%dir %{_datadir}/maven2/
%dir %{_datadir}/maven2/poms
%endif
### Basic ant subpackages
%if %bootstrap

%files -n ant-jmf
%defattr(0644,root,root,0755)
%{_javadir}/%{real_name}/%{real_name}-jmf.jar
%{_javadir}/%{real_name}/%{real_name}-jmf-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{real_name}.d/jmf
%{_datadir}/maven2/poms/JPP.ant-ant-jmf.pom

%files -n ant-nodeps
%defattr(0644,root,root,0755)
%{_javadir}/%{real_name}/%{real_name}-nodeps.jar
%{_javadir}/%{real_name}/%{real_name}-nodeps-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{real_name}.d/nodeps
%{_datadir}/maven2/poms/JPP.ant-ant-nodeps.pom

%files -n ant-swing
%defattr(0644,root,root,0755)
%{_javadir}/%{real_name}/%{real_name}-swing.jar
%{_javadir}/%{real_name}/%{real_name}-swing-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{real_name}.d/swing
%{_datadir}/maven2/poms/JPP.ant-ant-swing.pom

%files -n ant-trax
%defattr(0644,root,root,0755)
%{_javadir}/%{real_name}/%{real_name}-trax.jar
%{_javadir}/%{real_name}/%{real_name}-trax-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{real_name}.d/trax
%{ant_home}/etc/mmetrics-frames.xsl
%{ant_home}/etc/coverage-frames.xsl
%{_datadir}/maven2/poms/JPP.ant-ant-trax.pom

%files -n ant-scripts
%defattr(0755,root,root,0755)
%{_bindir}/*.pl
%{_bindir}/*.py*
%endif #if bootstrap
%if ! %bootstrap

%files -n ant-apache-bsf
%defattr(0644,root,root,0755)
%{_javadir}/%{real_name}/%{real_name}-apache-bsf.jar
%{_javadir}/%{real_name}/%{real_name}-apache-bsf-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{real_name}.d/apache-bsf
%{_datadir}/maven2/poms/JPP.ant-ant-apache-bsf.pom
%dir %{_datadir}/maven2/
%dir %{_datadir}/maven2/poms

%files -n ant-apache-resolver
%defattr(0644,root,root,0755)
%{_javadir}/%{real_name}/%{real_name}-apache-resolver.jar
%{_javadir}/%{real_name}/%{real_name}-apache-resolver-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{real_name}.d/apache-resolver
%{_datadir}/maven2/poms/JPP.ant-ant-apache-resolver.pom
%dir %{_datadir}/maven2/
%dir %{_datadir}/maven2/poms

%files -n ant-commons-logging
%defattr(0644,root,root,0755)
%{_javadir}/%{real_name}/%{real_name}-commons-logging.jar
%{_javadir}/%{real_name}/%{real_name}-commons-logging-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{real_name}.d/commons-logging
%{_datadir}/maven2/poms/JPP.ant-ant-commons-logging.pom
%dir %{_datadir}/maven2/
%dir %{_datadir}/maven2/poms

%files -n ant-commons-net
%defattr(0644,root,root,0755)
%{_javadir}/%{real_name}/%{real_name}-commons-net.jar
%{_javadir}/%{real_name}/%{real_name}-commons-net-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{real_name}.d/commons-net
%{_datadir}/maven2/poms/JPP.ant-ant-commons-net.pom
%dir %{_datadir}/maven2/
%dir %{_datadir}/maven2/poms
# Disable as we dont ship the dependencies
%if 0

%files -n ant-jai
%defattr(0644,root,root,0755)
%{_javadir}/%{real_name}/%{real_name}-jai.jar
%{_javadir}/%{real_name}/%{real_name}-jai-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{real_name}.d/jai
%endif

%files -n ant-apache-bcel
%defattr(0644,root,root,0755)
%{_javadir}/%{real_name}/%{real_name}-apache-bcel.jar
%{_javadir}/%{real_name}/%{real_name}-apache-bcel-%{version}.jar
%{_javadir}/%{real_name}/%{real_name}-jakarta-bcel.jar
%config(noreplace) %{_sysconfdir}/%{real_name}.d/apache-bcel
%{_datadir}/maven2/poms/JPP.ant-ant-apache-bcel.pom
%dir %{_datadir}/maven2/
%dir %{_datadir}/maven2/poms

%files -n ant-apache-log4j
%defattr(0644,root,root,0755)
%{_javadir}/%{real_name}/%{real_name}-apache-log4j.jar
%{_javadir}/%{real_name}/%{real_name}-apache-log4j-%{version}.jar
%{_javadir}/%{real_name}/%{real_name}-jakarta-log4j.jar
%config(noreplace) %{_sysconfdir}/%{real_name}.d/apache-log4j
%{_datadir}/maven2/poms/JPP.ant-ant-apache-log4j.pom
%dir %{_datadir}/maven2/
%dir %{_datadir}/maven2/poms

%files -n ant-apache-oro
%defattr(0644,root,root,0755)
%{_javadir}/%{real_name}/%{real_name}-apache-oro.jar
%{_javadir}/%{real_name}/%{real_name}-apache-oro-%{version}.jar
%{_javadir}/%{real_name}/%{real_name}-jakarta-oro.jar
%config(noreplace) %{_sysconfdir}/%{real_name}.d/apache-oro
%{ant_home}/etc/maudit-frames.xsl
%{_datadir}/maven2/poms/JPP.ant-ant-apache-oro.pom
%dir %{_datadir}/maven2/
%dir %{_datadir}/maven2/poms

%files -n ant-apache-regexp
%defattr(0644,root,root,0755)
%{_javadir}/%{real_name}/%{real_name}-apache-regexp.jar
%{_javadir}/%{real_name}/%{real_name}-apache-regexp-%{version}.jar
%{_javadir}/%{real_name}/%{real_name}-jakarta-regexp.jar
%config(noreplace) %{_sysconfdir}/%{real_name}.d/apache-regexp
%{_datadir}/maven2/poms/JPP.ant-ant-apache-regexp.pom
%dir %{_datadir}/maven2/
%dir %{_datadir}/maven2/poms

%files -n ant-javamail
%defattr(0644,root,root,0755)
%{_javadir}/%{real_name}/%{real_name}-javamail.jar
%{_javadir}/%{real_name}/%{real_name}-javamail-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{real_name}.d/javamail
%{_datadir}/maven2/poms/JPP.ant-ant-javamail.pom
%dir %{_datadir}/maven2/
%dir %{_datadir}/maven2/poms

%files -n ant-jdepend
%defattr(0644,root,root,0755)
%{_javadir}/%{real_name}/%{real_name}-jdepend.jar
%{_javadir}/%{real_name}/%{real_name}-jdepend-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{real_name}.d/jdepend
%{ant_home}/etc/jdepend.xsl
%{ant_home}/etc/jdepend-frames.xsl
%{_datadir}/maven2/poms/JPP.ant-ant-jdepend.pom
%dir %{_datadir}/maven2/
%dir %{_datadir}/maven2/poms

%files -n ant-jsch
%defattr(0644,root,root,0755)
%{_javadir}/%{real_name}/%{real_name}-jsch.jar
%{_javadir}/%{real_name}/%{real_name}-jsch-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{real_name}.d/jsch
%{_datadir}/maven2/poms/JPP.ant-ant-jsch.pom
%dir %{_datadir}/maven2/
%dir %{_datadir}/maven2/poms

%files -n ant-junit
%defattr(0644,root,root,0755)
%{_javadir}/%{real_name}/%{real_name}-junit.jar
%{_javadir}/%{real_name}/%{real_name}-junit-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{real_name}.d/junit
%{ant_home}/etc/junit-frames.xsl
%{ant_home}/etc/junit-noframes.xsl
%{_datadir}/maven2/poms/JPP.ant-ant-junit.pom
%dir %{_datadir}/maven2/
%dir %{_datadir}/maven2/poms

%files -n ant-manual
%defattr(0644,root,root,0755)
%doc docs/*

%files -n ant-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{real_name}-%{version}
%endif

%changelog
* Mon Jul 20 2009 coolo@novell.com
- build against log4j-mini to avoid build cycle
* Wed Jun 17 2009 mvyskocil@suse.cz
- do not use Release number in Requires of subpackages
* Sun May  3 2009 ro@suse.de
- do not assume release number for ant and ant-antlr are identical
* Tue Apr 28 2009 mvyskocil@suse.cz
- update to 1.7.1. Upstream changes (full list is in WHATSNEW):
  * String resources only have properties single expanded. If you relied on
  <string> resources being expanded more than once, it no longer happens.
  Bugzilla report 42277.
  * A String resource's encoding attribute was only taken into account when
  set from the resource's OutputStream; the InputStream provided the String's
  binary content according to the platform's default encoding. Behavior has
  been modified to encode outgoing (InputStream) content as well as encoding
  incoming (OutputStream) content.
  * <java> with fork now returns gives -1 instead of 0 as result when
  * failonerror
  is false and some exception (including timeout) occurs. Br 42377.
  * ant-type attribute has been marked as deprecated and a warning has been
  issued if it is encountered in the build file.
  * FileUtils.createTempFile now actually creates the file.
  The TempFile task still does not create the file by default, can be
  instructed to do so however using a new parameter.  Bugzilla report 33969.
- added maven pom files from jpackage project
- synchronized ant.spec with jpackage.org 5.0
- used ant-antlr-prepare.sh for generate of ant-antlr.spec from ant.spec to
  keep them synchronized. Build is branched using value of %%%%bootstrap macro:
  * bootstrap == 1 means build ant, ant-{jmf,nodeps,scripts,swing,trax}
  * bootstrap == 0 means build rest of ant modules + ant-javadoc
* Wed Oct  1 2008 mvyskocil@suse.cz
- use a antlr-bootstrap do avoid another cycle
* Wed Jul 16 2008 coolo@suse.de
- avoid another build cycle
* Wed May  7 2008 mvyskocil@suse.cz
- build using gcj, to allow a openjdk6 bootstrap
- change a source and a target level to 1.5 in build.xml
* Sun Feb 17 2008 coolo@suse.de
- fix changelog for build service
* Sun Jul  8 2007 dbornkessel@suse.de
- add links to jar files in /usr/share/ant/lib
* Fri Jul  6 2007 dbornkessel@suse.de
- make packages noarch, as jai was removed
- update to version 1.7.0
  major changes are (for a complete list, consult /usr/share/doc/packages/ant/WHATSNEW):
  Changes that could break older environments:
  - ------------------------------------------
  * Initial support for JDK 6 (JSR 223) scripting.
  <*script*> tasks will now use javax.scripting if BSF is
  not available, or if explicitly requested by using
  a "manager" attribute.
  * The -noproxy option which was in the previous 1.7 alpha and beta
  releases has been removed. It is the default behavior and not needed.
  * Removed launcher classes from nodeps jar.
  * <classconstants> filter reader uses ISO-8859-1 encoding to read
  the java class file. Bugzilla report 33604.
  * Defer reference process. Bugzilla 36955, 34458, 37688.
  This may break build files in which a reference was set in a target which was
  never executed. Historically, Ant would set the reference early on, during parse
  time, so the datatype would be defined. Now it requires the reference to have
  been in a bit of the build file which was actually executed. If you get
  an error about an undefined reference, locate the reference and move it somewhere
  where it is used, or fix the depends attribute of the target in question to
  depend on the target which defines the reference/datatype.
  * <script> and <scriptdef> now set the current thread context.
  * Unrestrict the dbvendor names in the websphere element of the ejbjar task.
  Bugzilla Report 40475.
  * <env> nested element in <java>, <exec> and others is now case-insensitive
  for windows OS. Bugzilla Report 28874.
  * Removed support for xalan1 completely. Users of Xalan1 for Ant builds will
  have to stay at ant 1.6.5 or upgrade to xalan2.
  * Use org.apache.log4j.Logger instead of org.apache.log4j.Category.
  Category has been deprecated for ~2 years and has been removed from
  the log4j code.  Logger was introduced in log4j 1.2 so users of
  log4j 1.1 and log4j 1.0 need to upgrade to a newer version of log4j.
  Bugzilla Report 31951.
  * build.sysclasspath now also affects the bootclasspath handling of
  spawned Java VMs.  If you set build.sysclasspath to anything other
  than "ignore" (or leave it unset, since "ignore" is the default when
  it comes to bootclasspath handling), then the bootclasspath of the
  VM running Ant will be added to the bootclasspath you've specified.
  * The <java fork="false"> now as per default installs a security manager
  using the default permissions. This is now independent of the
  failonerror attribute.  Bugzilla report 33361.
  * <signjar> now notices when the jar and signedjar are equal, and switches
  to the same dependency logic as when signedjar is omitted. This may break
  something that depended upon signing in this situation. However, since
  invoking the JDK jarsigner program with -signedjar set to the source jar
  actually crashes the JVM on our (Java1.5) systems, we don't think any
  build files which actually worked will be affected by the change.
  * <signjar> used to ignore a nested fileset when a jar was also provided as an
  attribute, printing a warning message; now it signs files in the fileset.
  * An improved method of handling timestamp granularity differences between
  client and server was added to the <ftp> task.  FTP servers typically
  have HH:mm timestamps whereas local filesystems have HH:mm:ss timestamps.
  Previously, this required tweaking with the timediffmillis attribute
  which also was used to handle timezone differences.  Now, there is a new
  timestampgranularity attribute.  The default value for get operations is 0
  since the user has the more powerful preservelastmodified attribute to work
  with.  Since this is not available on put operations the default value
  adds a minute to the server timestamp in order to account for this,
  Scripts which previously used timediffmillis to do this compensation may
  need to be rewritten.  timediffmillis has now been deprecated.
  * On Java1.5+, Ant automatically sets the system property
  java.net.useSystemProxies to true, which gives it automatic use of the local
  IE (Windows) or Gnome2 (Unix/Linux) proxy settings. This may break any build
  file that somehow relied on content outside the firewall being unreachable:
  use the -noproxy command-line option to disable this new feature.
  Note that the Java1.5 proxy configuration system still does not
  appear to work reliably on Windows or Linux.
  * Support for the XSL:P XML parser has been removed.
  Bugzilla Report 23455.
  * Visual Age for Java optional tasks removed.
  * Testlet (test) optional task removed.
  * Icontract optional task removed.
  * Metamata (maudit, mmetrics, and mparse tasks) removed.
  * Sitraka (jpcoverage, jpcovmerge, jpcovreport) tasks suppressed.
  * <fixcrlf> used \r (Mac) line endings on OS X, whose proper line separator
  is \n (Unix).  Bugzilla report 39585.
  * <scp> now optionally supports the sftp protocol, you may need a
  newer jsch.jar.  Bugzilla Report 39373.
  * Ant launcher program prints errors to stderr, and exits with a 2 exit code
  value if, for any reason, it cannot actually start Ant proper. This will only
  affect programs/scripts that called the launcher and which did not want to
  receive an error if Ant itself would not start
  * All .NET tasks are now deprecated in favor of the new .NET Antlib:
  http://ant.apache.org/antlibs/dotnet/index.html
* Tue May  8 2007 dbornkessel@suse.de
- removed all jai stuff as jai was dropped
* Fri Sep 22 2006 dbornkessel@suse.de
- added source=1.4
* Mon May  8 2006 dbornkessel@suse.de
- changed last change (see line below): Requires are only bound to the version, not to the release anymore
  - -> lrupp: fix Requires for ant (#171473 describes the same for dbus-1)
* Thu Feb  2 2006 dbornkessel@suse.de
* Thu Feb  2 2006 dbornkessel@suse.de
- fixed rpmlint errors and warnings
* Thu Feb  2 2006 dbornkessel@suse.de
- fixed rpmlint errors and warnings
* Thu Feb  2 2006 dbornkessel@suse.de
- fixed rpmlint errors and warnings
* Tue Jan 31 2006 dbornkessel@suse.de
- only ant-antlr updates
* Tue Jan 31 2006 dbornkessel@suse.de
- only ant-antlr updates
* Tue Jan 31 2006 dbornkessel@suse.de
- removed noarch due to different dependencies
- removed jsch and commons-net because we don't have the necessary packages
- ifarch'ed jai as it has a binary only dependency on a i386-only package
* Fri Jan 27 2006 dbornkessel@suse.de
- added four missing xsl files
- removed JAVA_HOME magic
* Fri Jan 27 2006 dbornkessel@suse.de
- added four missing xsl files
- removed JAVA_HOME magic
* Fri Jan 27 2006 dbornkessel@suse.de
- added BuildRoot
- removed JAVA_HOME magic
* Wed Jan 25 2006 dbornkessel@suse.de
- build optional task in an extra spec file due to circular dependencies
* Tue Jan 24 2006 dbornkessel@suse.de
- Not dependend on xml-commons-apis, which are provided by xerces-j2, which does not
  depend on ant package (in contrast to old dependency on
  xml-commons-apis <-> ant)
- optional task are now again in extra spec file ant-antlr
* Tue Jan 24 2006 dbornkessel@suse.de
- Not dependend on xml-commons-apis, which are provided by xerces-j2, which does not
  depend on ant package (in contrast to old dependency on
  xml-commons-apis <-> ant)
- optional task are now again in extra spec file ant-antlr
* Thu Jan 19 2006 dbornkessel@suse.de
- Integrated ant and ant-antlr again in one spec file as there is no
  dependency loop ... jpackage BuildRequires were wrong.
- updated to version 1.6.5
* Thu Jan 19 2006 dbornkessel@suse.de
- Integrated ant and ant-antlr again in one spec file as there is no
  dependency loop ... jpackage BuildRequires were wrong.
- updated to version 1.6.5
* Mon Dec 19 2005 dbornkessel@suse.de
- added if statement that hinders unwanted creation of a file within a for loop
* Mon Dec 19 2005 dbornkessel@suse.de
- added if statement that hinders unwanted creation of a file within a for loop
* Thu Sep 29 2005 dmueller@suse.de
- add norootforbuild
* Thu Sep 29 2005 dmueller@suse.de
- add norootforbuild
* Fri Mar  4 2005 skh@suse.de
- rely on jpackage-utils' java-functions to set JAVA_HOME correctly
* Fri Mar  4 2005 skh@suse.de
- rely on jpackage-utils' java-functions to set JAVA_HOME correctly
* Sun Sep  5 2004 skh@suse.de
- create and add /usr/share/java/ant to file list for optional
  tasks to put their jars into
* Thu Sep  2 2004 skh@suse.de
- renamed from apache-ant to ant
- switched to JPackage 1.5 version
- updated to version 1.6.2
- split off optional tasks into separate package to solve build
  dependency loop in JPackage
